=== debian/changelog ===
jxrlib (1.1-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:23 +0000

jxrlib (1.1-6) unstable; urgency=medium

  * Update d/control to reference cli tools names.
  * Make package multi-arch
  * Add debug symbols
  * Bump Std-Vers to 3.9.6, no changes needed
  * Add d/watch
  * Use arch-endian=little for symbols file. Closes: #787823

 -- Mathieu Malaterre <malat@debian.org>  Fri, 06 Nov 2015 21:57:27 +0100

jxrlib (1.1-5) unstable; urgency=low

  * Fix function signature. Closes: #748590

 -- Mathieu Malaterre <malat@debian.org>  Thu, 22 May 2014 11:36:05 +0200

jxrlib (1.1-4) unstable; urgency=low

  * Install missing header. Closes: #742716
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 26 Mar 2014 17:09:39 +0100

jxrlib (1.1-3) unstable; urgency=low

  * Fix d/symbols file for big endian arch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 18 Jul 2013 13:08:00 +0200

jxrlib (1.1-2) unstable; urgency=low

  * Fix symbols file with new 1.1 symbols
  * Rebuild avoiding RelWithDebInfo/-DNDEBUG pollution

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2013 11:45:53 +0200

jxrlib (1.1-1) unstable; urgency=low

  * New upstream: 1.1
  * Remove Depends: libbsd-dev, since upstream commit 0a033a9efad9
  * Add documentation files (converted from .doc file)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 06 Jun 2013 15:49:11 +0200

jxrlib (1.0-3) unstable; urgency=low

  * Fix installation of headers (missing JXRTest.h)
  * Fix encoder param settings
    + d/p/fixparams.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 02 May 2013 13:29:20 +0200

jxrlib (1.0-2) unstable; urgency=low

  * Fix man page typos
  * Remove broken d/watch file

 -- Mathieu Malaterre <malat@debian.org>  Thu, 25 Apr 2013 11:17:36 +0200

jxrlib (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #705459)

 -- Mathieu Malaterre <malat@debian.org>  Wed, 17 Apr 2013 16:08:34 +0200
