=== debian/control ===
Source: jxrlib
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: cmake (>= 2.8.0), debhelper (>= 9), dpkg-dev (>= 1.18)
Homepage: https://jxrlib.codeplex.com/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/jxrlib/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/jxrlib/trunk
Standards-Version: 3.9.6

Package: libjxr0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: JPEG-XR lib - libraries
 JPEG XR is an approved ISO/IEC International standard (its official
 designation is ISO/IEC 29199-2).
 .
 JPEG XR started its life in Microsoft Research. It publicly first appeared as
 the HD Photo format in Windows Vista.
 .
 For web developers, JPEG XR has a large number of interesting features, see
 the table below. Some of these are big advantages over other image formats
 like JPEG, PNG, OpenEXR, and TIFF.
  - Better Compression (40% smaller than JPEG)
  - Lossless Mode (better compression than PNG)
  - Alpha Channel (compress color lossy and alpha losslessly)
  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
  - Progressive Decode
  - Advanced Decoding Features (tile-based layout, for efficient
    region-of-interest access.)

Package: libjxr-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libjxr0 (= ${binary:Version}), ${misc:Depends}
Description: JPEG-XR lib - dev files
 JPEG XR is an approved ISO/IEC International standard (its official
 designation is ISO/IEC 29199-2).
 .
 JPEG XR started its life in Microsoft Research. It publicly first appeared as
 the HD Photo format in Windows Vista.
 .
 For web developers, JPEG XR has a large number of interesting features, see
 the table below. Some of these are big advantages over other image formats
 like JPEG, PNG, OpenEXR, and TIFF.
  - Better Compression (40% smaller than JPEG)
  - Lossless Mode (better compression than PNG)
  - Alpha Channel (compress color lossy and alpha losslessly)
  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
  - Progressive Decode
  - Advanced Decoding Features (tile-based layout, for efficient
    region-of-interest access.)
 .
 Provide the development files

Package: libjxr-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: libjxr0 (= ${binary:Version}), ${misc:Depends}
Description: JPEG-XR lib - debug files
 JPEG XR is an approved ISO/IEC International standard (its official
 designation is ISO/IEC 29199-2).
 .
 JPEG XR started its life in Microsoft Research. It publicly first appeared as
 the HD Photo format in Windows Vista.
 .
 For web developers, JPEG XR has a large number of interesting features, see
 the table below. Some of these are big advantages over other image formats
 like JPEG, PNG, OpenEXR, and TIFF.
  - Better Compression (40% smaller than JPEG)
  - Lossless Mode (better compression than PNG)
  - Alpha Channel (compress color lossy and alpha losslessly)
  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
  - Progressive Decode
  - Advanced Decoding Features (tile-based layout, for efficient
    region-of-interest access.)
 .
 Provide the debug files

Package: libjxr-tools
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JPEG-XR lib - command line apps
 JPEG XR is an approved ISO/IEC International standard (its official
 designation is ISO/IEC 29199-2).
 .
 JPEG XR started its life in Microsoft Research. It publicly first appeared as
 the HD Photo format in Windows Vista.
 .
 For web developers, JPEG XR has a large number of interesting features, see
 the table below. Some of these are big advantages over other image formats
 like JPEG, PNG, OpenEXR, and TIFF.
  - Better Compression (40% smaller than JPEG)
  - Lossless Mode (better compression than PNG)
  - Alpha Channel (compress color lossy and alpha losslessly)
  - Extended Bitdepth (supports 8-, 16-, and 32-bit/channel)
  - Progressive Decode
  - Advanced Decoding Features (tile-based layout, for efficient
    region-of-interest access.)
 .
 Provides command line tools for JPEG XR libs (JxrDecApp & JxrEncApp)
