=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,filenamemangle=s/\S*download=//g \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=codeplex/jxrlib \
.*=jxrlib(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
