## jxrlib 1.1.1

=== debian/changelog ===
jxrlib (1.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 6d189955c50a352febbcd8122acede430c16d647']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:19:29 +0000
