=== debian/changelog ===
jxrlib (1.2~git20170615.f752187-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to fix building with GCC-14s, thanks to YOKOTA Hiroshi for
    preparing it. (Closes: #1075105)

 -- Tobias Frost <tobi@debian.org>  Sat, 17 Aug 2024 09:05:27 +0200

jxrlib (1.2~git20170615.f752187-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols file.

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Mar 2024 04:12:37 +0000

jxrlib (1.2~git20170615.f752187-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064158

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 14:23:08 +0000

jxrlib (1.2~git20170615.f752187-5) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/copyright: Fix invalid utf-8 character
  * d/patches: Make sure to fix lintian hardening-no-bindnow

  [ Milian Wolff ]
  * d/patches: Use mkstemp instead of tmpnam. Closes: #1001782
  * d/patches: Fix memory leaks when handling OOM scenario
  * d/patches: fix undefined behavior for left-shift of -1
  * d/patches: fix warnings about unaligned loads from UBSAN

  [ Mathieu Malaterre ]
  * d/patches: Forward some patches upstream.
  * d/rules: Add more warnings during compilation

 -- Mathieu Malaterre <malat@debian.org>  Fri, 28 Jan 2022 13:55:06 +0100

jxrlib (1.2~git20170615.f752187-4) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/control: Switch to group maintenance
  * d/control: Update cmake version to 3.13 to remove a warning
  * d/compat: Bump compat to 12

  [ Yann Leprince ]
  * d/patches: Fix libjxr.pc include path. Closes: #1002449

  [ Mathieu Malaterre ]
  * d/control: Add missing Rules-Requires-Root: no
  * d/copyright: Update years, also prefer https
  * d/binaries: Declare doc file to be binary
  * d/rules: Stop using dpkg-parsechangelog
  * d/lintian-overrides: Remove bogus entry
  * d/symbols: Add missing Build-Depends-Package line
  * d/rules: Start building txt from doc automatically

 -- Mathieu Malaterre <malat@debian.org>  Fri, 28 Jan 2022 11:23:18 +0100

jxrlib (1.2~git20170615.f752187-3) unstable; urgency=medium

  * d/rules: Properly generate man pages

 -- Mathieu Malaterre <malat@debian.org>  Sat, 27 Nov 2021 16:54:36 +0100

jxrlib (1.2~git20170615.f752187-2) unstable; urgency=medium

  * d/patches: Bump version to 1.2
  * d/control: Bump Std-Vers to 4.6.0 no changes required.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Nov 2021 17:21:16 +0100

jxrlib (1.2~git20170615.f752187-1) unstable; urgency=medium

  * d/rules: Remove old get-orig-source logic
  * New upstream version 1.2~git20170615.f752187
  * d/patches: Refresh patches
  * d/symbols: Update symbols file to latest release
  * d/patches: Fix some national-encoding lintian warnings
  * d/rules: Generate man pages during build
  * d/patches: Document PNM output. Closes: #771912
  * d/rules: libjxr-dev: Missing pkgconfig file. Closes: #803743

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Nov 2021 16:53:43 +0100

jxrlib (1.1-8) unstable; urgency=medium

  * d/rules: Really remove old -dbg package
  * d/manpages: Refresh man pages

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Nov 2021 15:22:12 +0100

jxrlib (1.1-7) unstable; urgency=medium

  * debian/control: update URLs to new salsa location
  * d/compat: Switch to compat 10
  * d/control: Remove -dbg package
  * d/rules: Remove explicit --parallel flag
  * d/control: Remove URL referencing codeplex
  * d/copyright: Fix two lintian warnings

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Nov 2021 14:12:39 +0100
