=== debian/watch ===
# uscan(1) configuration file.
version=4
opts="mode=git,pgpmode=none,pretty=1.2~git%cd.%h" \
https://github.com/4creators/jxrlib \
HEAD debian uupdate
